Subject: 26.0.90; the buffer automatically scroll to right in emacs-lisp mode or sheloo mode

From: <[email-masked]>
Date: Mon, 23 Oct 2017 00:46:02 +0000

*** E-Mail body has been placed on clipboard, please paste it here! ***

In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)

 of 2017-10-14 built on LAPHROAIG

Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4

Windowing system distributor 'Microsoft Corp.', version 6.1.7601

Recent messages:

Please enter your report.  Type C-c C-c to send, C-c C-k to abort.

Wrote c:/Users/ab/AppData/Roaming/message-20171020-174513

Wrote c:/Users/ab/AppData/Roaming/message-20171020-174513

progn: End of buffer [3 times]

Mark set

Wrote c:/Users/ab/AppData/Roaming/message-20171020-174626

Mark set

Quit

Configured using:

 'configure --without-dbus --host=x86_64-w64-mingw32

 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:

XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB

TOOLKIT_SCROLL_BARS

Important settings:

  value of $LANG: CHS

  locale-coding-system: cp936

Major mode: Emacs-Lisp

Minor modes in effect:

  checkdoc-minor-mode: t

  subword-mode: t

  recentf-mode: t

  rainbow-delimiters-mode: t

  paredit-mode: t

  window-numbering-mode: t

  display-time-mode: t

  which-key-mode: t

  save-place-mode: t

  company-statistics-mode: t

  global-evil-matchit-mode: t

  evil-matchit-mode: t

  evil-escape-mode: t

  global-evil-visualstar-mode: t

  evil-visualstar-mode: t

  global-evil-surround-mode: t

  evil-surround-mode: t

  evil-mode: t

  global-undo-tree-mode: t

  undo-tree-mode: t

  evil-local-mode: t

  global-linum-mode: t

  linum-mode: t

  diff-auto-refine-mode: t

  electric-pair-mode: t

  yas-minor-mode: t

  flymake-mode: t

  global-company-mode: t

  company-mode: t

  pyvenv-mode: t

  shell-dirtrack-mode: t

  global-git-gutter-mode: t

  git-gutter-mode: t

  winner-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  transient-mark-mode: t

Load-path shadows:

~/.emacs.d/site-lisp/evil/lib/goto-chg hides c:/Users/ab/AppData/Roaming/.emacs.d/site-lisp/goto-chg/goto-chg

c:/Users/ab/AppData/Roaming/.emacs.d/mysetting/misc hides d:/portable/emacs/share/emacs/26.0.90/lisp/misc

c:/Users/ab/AppData/Roaming/.emacs.d/elpa/less-css-mode-0.21/less-css-mode hides d:/portable/emacs/share/emacs/26.0.90/lisp/textmodes/less-css-mode

~/.emacs.d/site-lisp/evil/lib/ert hides d:/portable/emacs/share/emacs/26.0.90/lisp/emacs-lisp/ert

Features:

(shadow sort emacsbug rfc2368 browse-url vc-dispatcher vc-svn sh-script

smie executable cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles

cc-align cc-engine cc-vars cc-defs mail-extr smex autoload lisp-mnt

vc-git checkdoc cap-words superword subword colir color counsel

jka-compr esh-util swiper recentf tree-widget rainbow-delimiters

diminish paredit company-oddmuse company-keywords company-etags

company-gtags company-dabbrev-code company-dabbrev company-files

company-capf company-cmake company-xcode company-clang company-semantic

company-eclim company-template company-css company-nxml company-bbdb

company-c-headers session init-hydra hydra lv init-color-theme

color-theme-molokai color-theme sendmail reporter init-eww zenoe-misc

dired-copy-paste goto-last-change init-misc auto-save window-numbering

gnus-article-treat-patch time which-key browse-kill-ring saveplace

ace-link avy init-httpd init-company company-statistics init-slime

init-web-mode init-term-mode init-workgroups2 init-lua-mode init-ctags

init-sh init-multiple-cursors init-evil evil-exchange

evil-nerd-commenter evil-nerd-commenter-operator general evil-matchit

evil-numbers evil-escape evil-mark-replace evil-visualstar evil-surround

dired+ image-dired image-mode image-file bookmark+ bookmark+-key

bookmark+-1 gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap

nnmail mail-source tls gnutls utf7 netrc nnoo gnus-spec gnus-int

gnus-range message rmc puny rfc822 mml mml-sec epa epg mm-decode

mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader

gnus-win gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045

ietf-drums mail-utils mm-util mail-prsvr bookmark+-bmu org-element

avl-tree generator org-clock org org-macro org-footnote org-pcomplete

org-list org-faces org-entities noutline outline org-version

ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp

ob-comint ob-core ob-eval org-compat org-macs org-loaddefs find-func

cal-menu calendar cal-loaddefs bookmark+-lit bookmark+-mac bookmark pp

dired-x dired-aux dired dired-loaddefs evil evil-integration undo-tree

diff evil-maps evil-commands evil-command-window evil-types evil-search

evil-ex evil-macros evil-repeat evil-states evil-core evil-common

windmove rect evil-digraphs evil-vars init-clipboard init-gtags init-moz

init-linum-mode linum init-gud init-cc-mode find-file-in-project ivy flx

delsel ivy-overlay ffap diff-mode init-zencoding-mode init-yasnippet

dropdown-list init-elisp init-lisp init-ruby-mode init-python-mode

yasnippet cl-extra elec-pair highlight-indentation flymake-proc flymake

subr-x warnings thingatpt company help-fns radix-tree help-mode elpy

pcase pyvenv elpy-refactor derived python tramp-sh tramp tramp-compat

tramp-loaddefs trampver ucs-normalize shell pcomplete parse-time

format-spec json map ido grep compile comint ansi-color files-x etags

xref project cus-edit cus-start cus-load wid-edit init-css init-org

init-javascript init-markdown init-crontab init-git git-gutter

init-sessions init-windows winner ring init-hippie-expand init-ivy rx

init-flymake init-ibuffer edmacro kmacro ibuf-macs init-uniquify

init-dired init-gui-frames init-frame-hooks init-exec-path init-elpa

idle-require easy-mmode init-site-lisp init-utils cl init-modeline

init-autoload advice finder-inf info package easymenu epg-config

url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs

eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp

byte-compile cconv cl-loaddefs cl-lib time-date mule-util china-util

tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type

mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars

term/common-win tool-bar dnd fontset image regexp-opt fringe

tabulated-list replace newcomment text-mode elisp-mode lisp-mode

prog-mode register page menu-bar rfn-eshadow isearch timer select

scroll-bar mouse jit-lock font-lock syntax facemenu font-core

term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang

vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932

hebrew greek romanian slovak czech european ethiopic indian cyrillic

chinese composite charscript charprop case-table epa-hook jka-cmpr-hook

help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs

button faces cus-face macroexp files text-properties overlay sha1 md5

base64 format env code-pages mule custom widget hashtable-print-readable

backquote w32notify w32 multi-tty make-network-process emacs)

Memory information:

((conses 16 923968 808802)

 (symbols 56 61317 1)

 (miscs 48 781 340)

 (strings 32 148966 47698)

 (string-bytes 1 5069264)

 (vectors 16 73826)

 (vector-slots 8 2079838 227622)

 (floats 8 466 650)

 (intervals 56 7152 4511)

 (buffers 992 23))